Summary:	X.org video driver for Chips and Technologies video processors
Summary(pl.UTF-8):	Sterownik obrazu X.org do układów graficznych Chips and Technologies
Name:		xorg-driver-video-chips
Version:	1.2.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-chips-%{version}.tar.bz2
# Source0-md5:	56be62612f98a0cf469a2a78c0a14ed5
Patch0:		chips-git.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-chips < 1:7.0.0
Obsoletes:	XFree86-ChipsTechnologies
Obsoletes:	XFree86-driver-chips < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Chips and Technologies video processors. It
supports video processors on most of the bus types currently
available. Supported chipsets fall into one of three architectural
classes:
- basic (ct65520, ct65525, ct65530, ct65535, ct65540, ct65545,
  ct65546, ct65548),
- WinGine (ct64200, ct64300)
- HiQV (ct65550, ct65554, ct65555, ct68554, ct69000, ct96030).

%description -l pl.UTF-8
Sterownik obrazu X.org do układów graficznych Chips and Technologies.
Obsluguje układy graficzne na większości z dostępnych teraz szyn.
Obsługiwane są układy z trzech klas architektur:
- basic (ct65520, ct65525, ct65530, ct65535, ct65540, ct65545,
  ct65546, ct65548),
- WinGine (ct64200, ct64300)
- HiQV (ct65550, ct65554, ct65555, ct68554, ct69000, ct96030).

%prep
%setup -q -n xf86-video-chips-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/chips_drv.so
%{_mandir}/man4/chips.4*
%changelog
* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> b427db1
- updated to 1.2.5
- git patch mostly obsolete; now it contains just one file missing in tarball

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> dfec6ba
- rel 5
- sync with git for new ABI

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f5b0a1
- release 4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 33a7b6e
- release 3

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> fe11a1a
- xorg-driver-video virtual for video drivers
- release 2

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c1703b8
- up to 1.2.4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c514f2
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 5cabd48
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 26c0928
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d1f5814
- up to 1.2.3

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e6349f7
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ec4414
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f22e83
- release 2

* Thu Aug 20 2009 Adam Gołębiowski <adamg@pld-linux.org> 5826cdd
- updated to 1.2.2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 95727e2
- up to 1.2.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ea2ab9
- release 4

* Sat Aug 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9149d84
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 61b0e53
- release 2

* Wed Mar 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e401c0
- up to 1.2.0

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f0cc704
- rebuilding for new xserver

